Skip to main content
GET
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
operations
/
{operation_id}
Get Sheet Import Operation
curl --request GET \
  --url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/operations/{operation_id} \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "operation": {
    "operation_id": "<string>",
    "progress": 123,
    "message": "<string>",
    "rows_added": 123,
    "row_count": 123,
    "file_name": "<string>",
    "error_message": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
Poll a sheet import operation started by Create Table Sheet, Create Table Sheet File Import, or Create Table Sheet Request Log Import. Operation statuses are queued, running, succeeded, and failed. Successful operations can include rows_added and row_count; failed operations include error_message when available.

Authorizations

X-API-KEY
string
header
required

Path Parameters

table_id
string<uuid>
required
operation_id
string
required

Response

Operation status

success
boolean
operation
object

Status of an asynchronous sheet import operation.